import { CancelEventArgs as CancelEventArgs_internal } from "./CancelEventArgs";
import { ContentChildrenManager } from "./ContentChildrenManager";
export declare class IgrCancelEventArgs {
    protected createImplementation(): CancelEventArgs_internal;
    protected _implementation: any;
    protected mounted: boolean;
    /**
     * @hidden
     */
    get i(): CancelEventArgs_internal;
    protected onImplementationCreated(): void;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    get cancel(): boolean;
    set cancel(v: boolean);
}
